/* -*- Mode: Vala; indent-tabs-mode: nil; tab-width: 2 -*-
 *
 * SPDX-License-Identifier: GPL-3.0-or-later
 * SPDX-FileCopyrightText: Michael Terry
 */

using GLib;

[GtkTemplate (ui = "/org/gnome/DejaDup/RestoreLocationDialog.ui")]
class RestoreLocationDialog : ActionDialog
{
  public signal void browse(DejaDup.Backend backend);

  [GtkChild]
  unowned ConfigLocationGroup location_group;

  protected override void accept()
  {
    browse(location_group.get_backend());
  }
}
